Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class TransformedDataCollection

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.DerivedDataCollection
                  |
                  +--ru.biosoft.access.TransformedDataCollection

public class TransformedDataCollection
extends DerivedDataCollection
implements DataCollectionListener

Implemnation note: we are not propagate DataCollectionEvents, because this work is done by primary DataCollection (it has the same parent).

todo check DataElement type for Transformer

Constructor Summary
`TransformedDataCollection(DataCollection parent, Properties properties)` Constructs transformed data collection with parent.

Method Summary
`DataElement` | `doGet(String name)` Implements specific get action for transformed data collection to get the specified by name data element from the collection.
`void` | `doPut(DataElement element)` Implements specific put action for transformed data collection to put the specified data element into the primary collection.
`void` | `doRemove(DataElement de)`
`void` | `elementAdded(DataCollectionEvent dce)`
`void` | `elementChanged(DataCollectionEvent dce)`
`void` | `elementRemoved(DataCollectionEvent dce)`
`void` | `elementWillAdd(DataCollectionEvent e)`
`void` | `elementWillChange(DataCollectionEvent e)`
`void` | `elementWillRemove(DataCollectionEvent e)`
`Class` | `getDataElementType()` Gets class of output data element.
`final Transformer` | `getTransformer()`
`Iterator` | `iterator()`
`String` | `toString()`

Methods inherited from class ru.biosoft.access.DerivedDataCollection
`close, contains, contains, getInfo, getNameList, getSize, isMutable`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, get, getCompleteName, init, propagateElementChanged, propagateElementWillChange, put, remove, removeDataCollectionListener`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### TransformedDataCollection

    public TransformedDataCollection(DataCollection parent, Properties properties)
                                throws java.lang.Exception

  Constructs transformed data collection with parent.
  Parameters:
    parent - Parent data collection.
    properties - Properties for creating data collection (may be changed).
    Obligatory properties:
    - DataCollection.NAME_PROPERTY
    - DataCollection.TRANSFORMER_CLASS
    - DataCollection.NEXT_CONFIG
    Optional properties:
    - DataCollection.NODE_IMAGE
    - DataCollection.CHILDREN_NODE_IMAGE
    - DataCollection.CHILDREN_NODE_VISIBLE
  Throws:
    Exception - any errors

Method Detail

### doGet

    public DataElement doGet(String name)
                       throws java.lang.Exception

  Implements specific get action for transformed data collection to get the specified by name data element from the collection.
  Parameters:
    name - The name of data element
  Throws:
    Exception - If any errors.
  See Also:
    AbstractDataCollection.put(ru.biosoft.access.DataElement)

### doPut

    public void doPut(DataElement element)
                throws java.lang.Exception

  Implements specific put action for transformed data collection to put the specified data element into the primary collection.
  Parameters:
    element - The put DataElement
  Throws:
    Exception - If any errors.
  See Also:
    AbstractDataCollection.put(ru.biosoft.access.DataElement)

### doRemove

    public void doRemove(DataElement de)
                   throws java.lang.Exception

### elementAdded

    public void elementAdded(DataCollectionEvent dce)
                       throws java.lang.Exception

### elementChanged

    public void elementChanged(DataCollectionEvent dce)
                         throws java.lang.Exception

### elementRemoved

    public void elementRemoved(DataCollectionEvent dce)
                         throws java.lang.Exception

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                         throws DataCollectionVetoException,
                                java.lang.Exception

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### getDataElementType

    public Class getDataElementType()

  Gets class of output data element.
  Returns: transformer output element

### getTransformer

    public final Transformer getTransformer()

### iterator

    public Iterator iterator()

### toString

    public String toString()

  todo Temp implementation

Association Links

to Class ru.biosoft.access.Transformer

to Class ru.biosoft.access.DataElement

to Class ru.biosoft.access.DataElement

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM